Bug 592361 (CVE-2010-1411) - CVE-2010-1411 libtiff: integer overflows leading to heap overflow in Fax3SetupState
Summary: CVE-2010-1411 libtiff: integer overflows leading to heap overflow in Fax3Setu...
Status: CLOSED ERRATA
Alias: CVE-2010-1411
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20100614,repo...
Keywords: Security
Depends On: 602549 602550 602551 602552 602553 606708 809170
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 16:08 UTC by Vincent Danen
Modified: 2018-10-27 12:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 16:01:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.76 KB, patch)
2010-06-10 06:59 UTC, Tomas Hoger
no flags Details | Diff
Updated upstream patch (2.78 KB, patch)
2010-06-11 07:18 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0519 normal SHIPPED_LIVE Important: libtiff security update 2010-07-08 15:34:41 UTC
Red Hat Product Errata RHSA-2010:0520 normal SHIPPED_LIVE Important: libtiff security update 2010-07-08 15:46:59 UTC

Description Vincent Danen 2010-05-14 16:08:40 UTC
Multiple integer overflows were found in libtiff's handling of TIFF files.  These integer overflows could result in a heap buffer overflow.  If a user were to open a specially-crafted TIFF file, it could lead to unexpected application termination or the execution of arbitrary code.  This issue was assigned CVE-2010-1411.

Acknowledgements:

Red Hat would like to thank Apple Product Security for responsibly
reporting this flaw, who credit Kevin Finisterre of digitalmunition.com for
the discovery of the issue.

Comment 10 Tomas Hoger 2010-06-10 06:59:07 UTC
Created attachment 422795 [details]
Upstream patch

These changes were committed in upstream CVS to address this flaw.

Comment 11 Tomas Hoger 2010-06-11 07:18:15 UTC
Created attachment 423158 [details]
Updated upstream patch

Extra check in TIFFSafeMultiply to avoid divide by zero, not really needed currently as the patch only uses non-zero multiplier.

Comment 15 Fedora Update System 2010-06-23 14:06:50 UTC
libtiff-3.8.2-15.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtiff-3.8.2-15.fc11

Comment 16 Fedora Update System 2010-06-23 14:09:21 UTC
libtiff-3.9.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc12

Comment 17 Fedora Update System 2010-06-23 14:10:45 UTC
libtiff-3.9.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc13

Comment 18 Fedora Update System 2010-06-24 16:29:42 UTC
libtiff-3.8.2-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Tomas Hoger 2010-06-25 09:43:51 UTC
Adding mingw32-libtiff owners.

Comment 20 Fedora Update System 2010-06-25 13:29:29 UTC
mingw32-libtiff-3.9.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mingw32-libtiff-3.9.4-1.fc13

Comment 21 Fedora Update System 2010-06-25 14:28:37 UTC
mingw32-libtiff-3.9.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-libtiff-3.9.4-1.fc12

Comment 22 Fedora Update System 2010-07-01 18:42:37 UTC
libtiff-3.9.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-07-05 22:00:13 UTC
libtiff-3.9.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-07-06 17:15:46 UTC
mingw32-libtiff-3.9.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-07-06 17:31:10 UTC
mingw32-libtiff-3.9.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 errata-xmlrpc 2010-07-08 15:34:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0519 https://rhn.redhat.com/errata/RHSA-2010-0519.html

Comment 27 errata-xmlrpc 2010-07-08 15:47:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0520 https://rhn.redhat.com/errata/RHSA-2010-0520.html


Note You need to log in before you can comment on or make changes to this bug.